Subject: Re: bug#810: 23.0.60; atomic-change-group narrowing problem

From: "Richard M. Stallman" <[email-masked]>
Date: Tue, 02 Sep 2008 10:13:59 -0400

I know what you mean but the present case is different.  When someone
    uses narrowing within the atomic change group and we really want to undo
    the changes (we still can decide that we won't fix the bug ;-)) we have
    to widen the buffer.

We could say that if the body of the atomic-change-group does
narrowing, then it has the responsibility to widen again.
That seems logical.